From: <a href="/blend/av.cgi?id=1353">juan d'fule</a><BR>
Date: 20 October 2004<P>

Misti, read them all.....wow
<HR>
From: <a href="/blend/av.cgi?id=29">~Harem~</a><BR>
Date: 20 October 2004<P>

Misti ~<BR>
I read all your recent posts and feel achey and sad.  I want to tell you something but don't want to have it taken the wrong way.  You must rise above your heritage.  Even though we all want to blame our parents, or our grandparents for things - It only justifies us to sink in the mire of the quicksands of life.  I was an unwanted child.  My parents wanted a boy, and were very disappointed with me.  My mother blamed my father's alcoholism on me, and my father blamed me for his lack of interest in my mother.  My grandparents never talked to me and treated me as if I was non-existent.  My sister was spoiled, and given everything -  She had long curly hair, and they cut mine to look like a boy.  I was never allowed to have long hair.  I was even dressed like a boy.  My father was a drunk that tried to sexually molest me when I was a teenager.  He constantly beat up my mother, put guns in her mouth, and cut her with broken booze bottles.  Our house was a mess, and stunk and I was ashamed of it.  When I tried to clean it up - I got yelled at and punished.  I was ashamed of our family.  My father ran around with women and brought them home to torture my mother with.  They fought all the time.  I was afraid of him.  After they broke up, my mother blamed me for his leaving - My sister was mentally retarded, but managed to have sex with the guys I was dating - behind my back - even my first husband.  Need I go on ?<BR>
<BR>
My life and family was F*cked Up.<BR>
<BR>
I could have let all that crap follow me and haunt me, and ensure that my life stunk -  But I refused to.<BR>
<BR>
And you need to dump all the past - it's a lot easier than you think.<BR>
<BR>
I was even ashamed of my mother's religious involvement with a group that everyone hated.<BR>
<BR>
But now, - that faith is what has sustained me over the years.  Just recently, I have turned my life over to the Higher power in my last poem.<BR>
<BR>
What a difference.  Miracles do happen, and have been happening - even when I refused to see it.  <BR>
<BR>
I am not asking you to believe like I do - even though it would change your life - But at least throw your past in the trash.  Today is the first day of the rest of your life.  Don't you think that it's about time to stop letting life control you - and you take control ????<BR>
<BR>
And don't say that I had it easy.  When I moved to the state where I live now;  I had five small children and no job.  I washed clothes in the bath tub with a scrub board and a toilet plunger.  We slept on the floor because we had no beds and no carpet either (cold tile floors).  <BR>
No TV, only a clock radio.  Today, I have all the modern<BR>
conveniences, but it took time, and I have to say, it was because of the Higher Power who I chose to lean on.<BR>
<BR>
Once I started leaning on Him, and stopped looking to mortals to help me - that was when I began to prosper.<BR>
<BR>
I am not a religious person, and I don't like organized religion, but I am very spiritually minded, and have found that the only way to true happiness is to lean on Him.<BR>
<BR>
But even if you don't want to go that route, you need to stop blaming other for where you are and what you are today.<BR>
<BR>
This is what I constantly tell my children and myself :<BR>
<BR>
"People will only do to you what you let them."<BR>
<BR>
"Today is the first day of the rest of your life."<BR>
<BR>
"Take control of your life, and you can be whatever <BR>
you want to be."<BR>
<BR>
"Always look at people that have less than you do,<BR>
then you will never be unhappy with what you've got."<BR>
<BR>
Happiness does not result from the things which you posess.  Happiness is a state of mind.  It is better to be in a shack with prince charming than to be in a castle with King Kong.<BR>
<BR>
My kids and I got together recently, and my daughter, Valerie, recalled the happiest time of her youth.  She made me laugh and cry at the same time.  She reminded me of when we washed clothes in the bathtub (cause we couldn't afford a laundromat) - and how we danced around the kitchen to the music of our clock radio, and how we took turns sleeping on the one mattress on the floor.  She said that she never saw me happier than that time.  And we were all so happy. Because there was no man to abuse us, or hurt us.  <BR>
<BR>
Sometimes, Misti, it is better to be alone, than be with the wrong person.  And really, there is no such thing as being alone.  It's all how you look at it.<BR>
<BR>
Hope this doesn't offend you Misti, or anyone here.  But when I read other people's stuff here - I take it to heart, and it often makes me cry.  I hate to see other people hurt or suffer.  Your poems that I read to day made me feel so sad for you.<BR>
<BR>
I've saw myself in every word you wrote.  I have felt the same at times, and think that there are many people like us.  I hate that the world has to hurt and be in pain.<BR>
<BR>
I look forward to the day, when all things on earth will be right.  <BR>
<BR>
.
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 20 October 2004<P>

Harem,<BR>
Thank you for your compassion and concern. No, I am not offended at all. When I first left my ex-husband I was ecstatic because I had a new lover and friends and the freedom I had been craving for so long. I was very poor with no furniture and no help from my family. Now I'm still poor with no furniture and no help from my family but I'm not as ecstatic. Today I'm applying for a job with Merry Maids. Yay! I haven't scrubbed toilets professionally since 1998. I'm actually looking forward to it. I'll get paid weekly which is perfect. <BR>
<BR>
I was hurting last night and could not sleep because of a disappointing e-mail and because my boyfriend goes to sleep before I do and I wanted more time with him but I was on the computer looking for a job. All those poems just came out of me. I think I'm hypersensitive and feel way too much. This handicaps me. I will never find a perfect mate who will love me tenderly consistently completely unconditionally and will never hurt me or burst my bubbles. My boyfriend is a survivor like me and jagged around the edges. We come from the same place. <BR>
<BR>
Regardless of whether or not the relationship survives, I feel like this is the most crucial time of my life...now more than ever I have to learn how to survive on my own, physically and emotionally. My family keeps offering to "rescue me," meaning that if I return to Texas they will help me go back to college and get an apartment and furniture and all the rest. As long as I stay in New Mexico I am on my own. I think it's time that I learn how to live life on my own and blame no one but myself for the consequences of my choices. I'm tired of feeling like a little girl inside.<BR>
<BR>
Thanks again, I truly appreciate your advice.<BR>
<BR>
muchness,<BR>
misti
<HR>
From: <a href="/blend/av.cgi?id=1552">Juhaa</a><BR>
Date: 20 October 2004<P>

Cool, Jon. Nice to hear that you're familiar with Brian Eno. Very calming sounds, eh? I've not heard of the Oblique cards before.<BR>
<BR>
*Juhaa
<HR>
From: <a href="/blend/av.cgi?id=872">cryingshame58</a><BR>
Date: 20 October 2004<P>

Misti,<BR>
Some parts of being childlike is refreshing so please don't rid yourself of "all" that little girl...playfulness and being a bit mischieveous are just a couple of refreshing parts! Most important is how you choose to cope when feeling sensitive...Feeling sensitive can bring out creativity in which we all see here...<BR>
CS58
<HR>
From: <a href="/blend/av.cgi?id=1139">jwb71913</a><BR>
Date: 20 October 2004<P>

<a href="/blend/wv.cgi?id=2004.10.20.16.14.31762">honest rage</a>  Wow mandilove, I don't even know why you're angry and I love this.  Nice job.  Jim
<HR>
From: <a href="/blend/av.cgi?id=1458">mandilove</a><BR>
Date: 20 October 2004<P>

Thank you, Jim.  The anger has subsided - I opted for the rash haircut. <BR>
<BR>
And, &lt;i&gt;Kiss&lt;/i&gt; is lovely - I'm crazy about the first and last lines.
<HR>
From: <a href="/blend/av.cgi?id=2">scqueen</a><BR>
Date: 20 October 2004<P>

Amen Misti, Amen.
<HR>